Bug 613881 - Review Request: contextkit - Contextual information collection framework
Summary: Review Request: contextkit - Contextual information collection framework
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Liang Suilong
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 612023
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-13 04:57 UTC by Chen Lei
Modified: 2010-09-06 10:31 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-09-06 10:31:34 UTC
liangsuilong: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Chen Lei 2010-07-13 04:57:08 UTC
Description:

This is ContextKit, a framework for collecting contextual
information from the bowels of the system, cleaning them up
and offering them through a simple API.

The ContextKit consists of:

- libcontextprovider, a convenience library to export 
  contextual properties to the rest of the system.

- user documentation including a list of standard context properties

- contextd, daemon for combining and refining contextual information

- libcontextsubscriber, a library implementing 
  the simple API for accessing the contextual information.

SPEC:http://dl.dropbox.com/u/1338197/1/contextkit.spec
SRPM:http://dl.dropbox.com/u/1338197/1/contextkit-0.5.8-1.fc13.src.rpm

Comment 1 Chen Lei 2010-07-14 12:32:56 UTC
Note: 

contextkit is the core component of meego 1.1 which is the dependency of qt-mobility and libmeegotouch.

Comment 2 Carbo Kuo 2010-08-02 13:05:42 UTC
+:ok, =:needs attention, -:needs fixing

MUST Items:
[+] MUST: rpmlint must be run on every package.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}
[+] MUST: The package must meet the Packaging Guidelines. [FIXME?: covers this
list and more]
[+] MUST: The package must be licensed with a Fedora approved license and meet
the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual
license.
[+] MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source,
as provided in the spec URL.
<<md5sum checksum>>47cd0144d9a7280e7e7e7808a6a5e6d3  contextkit-0.5.8.tar.bz2
[+] MUST: The package must successfully compile and build into binary rpms on
at least one supported architecture.
[+] MUST: All build dependencies must be listed in BuildRequires
[+] MUST: The spec file MUST handle locales properly. This is done by using the
%find_lang macro.
[+] MUST: Every binary RPM package which stores shared library files (not just
symlinks) in any of the dynamic linker's default paths, must call ldconfig in
%post and %postun.
[+] MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line.
[+] MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must consistently use macros, as described in the macros
section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissible content. This is
described in detail in the code vs. content section of Packaging Guidelines.
[+] MUST: If a package includes something as %doc, it must not affect the
runtime of the application.
[+] MUST: Packages must NOT contain any .la libtool archives, these should be
removed in the spec.
[+] MUST: Packages containing GUI applications must include a %{name}.desktop
file, and that file must be properly installed with desktop-file-install in the
%install section.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[+] SHOULD: If the source package does not include license text(s) as a
separate file from upstream, the packager SHOULD query upstream to include it.
[+] SHOULD: The description and summary sections in the package spec file
should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The package should compile and build into binary rpms on all
supported architectures.
[+] SHOULD: The reviewer should test that the package functions as described.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[+] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin consider requiring the package which provides the file
instead of the file itself.

Comment 3 Carbo Kuo 2010-08-02 13:15:25 UTC
I am not a packager, this review above is an informal one.

Comment 4 manuel wolfshant 2010-08-03 13:20:22 UTC
Where does the GPLv2 license tag come from ? Both http://maemo.gitorious.org/maemo-af/contextkit/blobs/master/COPYING and the files that I have (randomly) verified state LGPLv2.1

Comment 5 Chen Lei 2010-08-04 10:02:00 UTC
(In reply to comment #4)
> Where does the GPLv2 license tag come from ? Both
> http://maemo.gitorious.org/maemo-af/contextkit/blobs/master/COPYING and the
> files that I have (randomly) verified state LGPLv2.1    

Actually, I don't look at the license for this package at all, my spec is modified from the upstream spec which uses a wrong license :)

Comment 7 Liang Suilong 2010-09-03 08:44:20 UTC
I do not find out any problems on this package. I approved this review request.

Comment 8 Chen Lei 2010-09-05 02:04:41 UTC
New Package CVS Request
=======================
Package Name: contextkit
Short Description: Contextual information collection framework
Owners: supercyper
Branches: F-14
InitialCC:

Comment 9 Kevin Fenzi 2010-09-05 17:45:42 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.